Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# TiXmlElement Class Reference

Inheritance diagram for TiXmlElement:

List of all members.

## Public Member Functions
| TiXmlElement (TiXmlElement const )
| TiXmlElement (string _value)
| TiXmlElement (string in_value)
string | Attribute (string name)
string | Attribute (string name)
TiXmlAttribute | FirstAttribute ()
TiXmlAttribute const | FirstAttribute ()
string | GetText ()
TiXmlAttribute | LastAttribute ()
TiXmlAttribute const | LastAttribute ()
TiXmlElement | operator= (TiXmlElement const base)
int | QueryStringAttribute (string name, basic_stringchar _value)
int | QueryValueAttribute (string name, basic_stringchar outValue)
| RemoveAttribute (string name)
| RemoveAttribute (string name)
| SetAttribute (string name, string _value)
| SetAttribute (string name, int value)
| SetAttribute (string name, string _value)
| SetAttribute (string name, int _value)
| SetDoubleAttribute (string name, double value)
| SetDoubleAttribute (string name, double value)

## Constructor & Destructor Documentation

TiXmlElement | ( | TiXmlElement | const | ) |

TiXmlElement | ( | string | _value | ) |

TiXmlElement | ( | string | in_value | ) |

## Member Function Documentation

string Attribute | ( | string | name | ) |

string Attribute | ( | string | name | ) |

TiXmlAttribute FirstAttribute | ( |  | ) |

TiXmlAttribute const FirstAttribute | ( |  | ) |

string GetText | ( |  | ) |

TiXmlAttribute LastAttribute | ( |  | ) |

TiXmlAttribute const LastAttribute | ( |  | ) |

TiXmlElement operator= | ( | TiXmlElement const | base | ) |

int QueryStringAttribute | ( | string | name,
|  | basic_stringchar | _value
| ) |  |

int QueryValueAttribute | ( | string | name,
|  | basic_stringchar | outValue
| ) |  |

RemoveAttribute | ( | string | name | ) |

RemoveAttribute | ( | string | name | ) |

SetAttribute | ( | string | name,
|  | int | value
| ) |  |

SetAttribute | ( | string | name,
|  | int | _value
| ) |  |

SetAttribute | ( | string | name,
|  | string | _value
| ) |  |

SetAttribute | ( | string | name,
|  | string | _value
| ) |  |

SetDoubleAttribute | ( | string | name,
|  | double | value
| ) |  |

SetDoubleAttribute | ( | string | name,
|  | double | value
| ) |  |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties